/// <reference types="react" />
export declare const rowStyles: string;
export declare const indexActionsCellStyles: string;
export declare const tableHeaderStyles: string;
export declare const cellStyles: string;
export declare const nestedRowCellStyles: string;
export type IndexesTableProps<Shape> = {
    ['data-testid']: string;
    ['aria-label']: string;
    columns: JSX.Element[];
    children: (args: {
        datum: Shape;
        index: number;
    }) => JSX.Element;
    data: Shape[];
};
export declare function IndexesTable<Shape>({ ['data-testid']: dataTestId, ['aria-label']: ariaLabel, columns, children, data, }: IndexesTableProps<Shape>): JSX.Element;
//# sourceMappingURL=indexes-table.d.ts.map